RSM - Support #73

[API] Pembuatan API terkait dengan ESS
12/03/2020 10:29 AM - Kezia Pawitra Yulianti

Status: Closed Start date: 12/03/2020
Priority: High Due date: 12/03/2020
Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Alip,

berikut bbrp API yg dibutuhkan terkait dengan ESS:

1. Notifikasi

2. Request Status

3. Approval Status

4. My Leave Balance

5. My Leave Status

6. Get All Leave Approval

Silahkan untuk dilakukan perubahan status ya Lip sesuai yg udah loe buat
Tks

History

#1 - 12/03/2020 10:30 AM - Kezia Pawitra Yulianti

- Status changed from New to Assigned

#2 - 12/03/2020 11:08 AM - Kezia Pawitra Yulianti
Dear Alip,
ada tambahan 1 api lagi ya untuk My Dashboard sbb

My Leave:
- Remaining Annual Leave Quota --> RemainQuota (PHRPA0017) - total pd field 'Duration' untuk semua ongoing ESS yg ada di
PCMWFRUNBIZDATA (BizProcessID = WFLeaveAMF2) --> cek tabel PCMWFRUNMAIN dgn WorkflowStatus 'U' untuk AbsenceType 101 s/d 104

- Remaining Kuota Cuti Besar --> RemainQuota (PHRPAO0017) - total pd field 'Duration’ untuk semua ongoing ESS yg ada di PCMWFRUNBIZDATA
(BizProcessID = WFLeaveAMF2) --> cek tabel PCMWFRUNMAIN dgn WorkflowStatus 'U' untuk AbsenceType 220

Tks

#3 - 12/03/2020 12:02 PM - Alip Sudin
- Status changed from Assigned to Deploy

- Assignee changed from Alip Sudin to Saswanto Tampan

1. Notifikasi (GetStatusInboxStatus)

2. Request Status (GetStatusEss)

3. Approval Status(GetStatusApv)

4. My Leave Balance (GetLeaveBalanceData)
5. My Leave Status (GetMyLeaveStatus)

6. Get All Leave Approval (GetAllApvLeave)
7. My Dashboard (GetLeaveDashboard)
Done.

#4 - 12/17/2020 12:15 PM - Saswanto Tampan
- Assignee changed from Saswanto Tampan to Anonymous

- % Done changed from 0 to 100

#5 - 04/13/2021 09:00 AM - Anonymous
- Status changed from Deploy to Closed
